* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-size: 12px;
}
body {
  font-family: Arial, Helvetica, sans-serif;
  background: black;
  color: white;
}
a {
  color: white;
}
main {
  padding-left: 12px;
  padding-right: 12px;
  padding-top: 40px;
}
.logo {
  font-size: 2rem;
  -webkit-text-stroke: 1px white;
  -webkit-text-fill-color: rgba(0, 0, 0, 0);
}
.fixed-topbar {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 12px 12px 0px 12px;
}
.nav-item {
  display: inline-block;
  margin: 0 4px 0 4px;
}
.nav-link {
  text-decoration: none;
  font-size: 1.5rem;
}
.nav-link:hover {
  text-decoration: line-through;
}
.nav-bar {
  display: flex;
  height: 100%;
  align-items: center;
}
.strikeout:hover {
  position: relative;
}
.strikeout:hover::after {
  border-bottom: 0.125em solid white;
  content: "";
  left: 0;
  position: absolute;
  right: 0;
  top: 50%;
}
.lp-link {
  position: fixed;
  width: 50px;
  right: 12px;
  bottom: 12px;
}
#lp-link {
  width: 50px;
}

/* Mobile menu */
.h-nav {
  display: none;
}
#menu-checkbox {
  display: none;
}
.dropdown {
  list-style-type: none;
}
.bar1,
.bar2,
.bar3 {
  width: 25px;
  height: 3px;
  background-color: #fff;
  margin: 3px 4px 4px 0px;
  transition: 0.4s ease-out;
}
.close-menu-button .bar1 {
  transform: translateY(7px);
}
.close-menu-button .bar3 {
  transform: translateY(-7px);
}
.v-nav {
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
  width: 0%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  color: #fff;
  text-align: right;
  margin: 12px 12px 0px 0px;
  transition: 0.4s;
  overflow-x: hidden;
}
.v-nav > nav {
  margin-top: 40px;
}
.dropdown > li {
  margin: 0px 0px 12px 0px;
}
#menu-button {
  cursor: pointer;
  z-index: 2;
}
.fixed {
  position: fixed;
}
.fade {
  opacity: 0.5;
}

/* General CSS starts here */
/* Slideshow css here */
.slideshow {
  position: relative;
  margin: 7.5vh auto;
  height: 75vh;
}
.slideImage {
  opacity: 0;
  margin: 0 auto;
  width: 100%;
  transition: 1500ms ease;
  position: absolute;
  text-align: center;
  overflow: hidden;
}
.slideImage img {
  max-width: 100%;
  max-height: 600px;
  margin: 0 auto;
}
.visible {
  opacity: 1;
  display: inline-block;
  margin: 0 auto;
  width: 100%;
  text-align: center;
}

.prev,
.next {
  position: absolute;
  opacity: 0;
  z-index: 1;
}
.prev {
  width: 50%;
  height: 100%;
}
.next {
  width: 50%;
  height: 100%;
  left: 50%;
}
/* Cursor image will work after uploaded to  */
.prev {
  cursor: url("./img/arrw-l.png"), auto;
}
.next {
  cursor: url("./img/arrw-r.png"), auto;
}
/* Slideshow description CSS stuff */
.slideDescription {
  height: 0px;
  width: 100%;
  background-color: white;
  color: #000;
  position: absolute;
  left: 0;
  bottom: 0;
  transform: translateY(100%);
  transition: 500ms ease;
}
.slideDescription a {
  color: #000;
}
.slideDescription a:hover {
  color: salmon;
}
.slideshow:hover .visible .slideDescription {
  height: 22px;
  z-index: 5;
  /* display: block; */
  transform: translateY(0%);
}

/* Desktop Layout */

@media screen and (min-width: 768px) {
  * {
    font-size: 16px;
  }
  .h-nav {
    display: block;
  }
  #menu-button {
    display: none;
  }
  .fixed-topbar {
    position: fixed;
  }
  main {
    padding-top: 68px;
  }
  .logo {
    font-size: 3rem;
  }
}
